Skip to content

Get Schedule 1 ordinary income summary

GET
/api/calculate/tax-summary/{address}/schedule-1-summary
curl --request GET \
--url 'https://api.qeychain.xyz/api/calculate/tax-summary/example/schedule-1-summary?tax_year=1&taxpayer_timezone=America%2FNew_York'

Get summary statistics for ordinary income (staking, airdrops, mining, interest) without generating the full export.

Returns totals by income category for quick review.
address
required
Address
string
tax_year
required
Tax Year

Tax year (e.g., 2024)

integer

Tax year (e.g., 2024)

taxpayer_timezone
Taxpayer Timezone

Taxpayer’s timezone for tax year boundaries

string
default: America/New_York

Taxpayer’s timezone for tax year boundaries

owned_wallets
Any of:
Array<string>

All wallet addresses owned by the user

Successful Response

Media typeapplication/json
Response Get Schedule 1 Summary Api Calculate Tax Summary Address Schedule 1 Summary Get
object
key
additional properties
any
Examplegenerated
{}

Bad Request

Media typeapplication/json
ErrorResponse

Standard error response.

object
detail
required
Detail

Error message

string
error_code
Any of:
string
Examplegenerated
{
"detail": "example",
"error_code": "example"
}

Not Found

Media typeapplication/json
ErrorResponse

Standard error response.

object
detail
required
Detail

Error message

string
error_code
Any of:
string
Examplegenerated
{
"detail": "example",
"error_code": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}

Internal Server Error

Media typeapplication/json
ErrorResponse

Standard error response.

object
detail
required
Detail

Error message

string
error_code
Any of:
string
Examplegenerated
{
"detail": "example",
"error_code": "example"
}